diff --git a/game/client/src/main/java/net/minecraft/client/render/RenderGlobal.java b/game/client/src/main/java/net/minecraft/client/render/RenderGlobal.java
index 64e3ddd39..825a17084 100644
--- a/game/client/src/main/java/net/minecraft/client/render/RenderGlobal.java
+++ b/game/client/src/main/java/net/minecraft/client/render/RenderGlobal.java
@@ -813,53 +739,43 @@ public class RenderGlobal
         double yOff = mc.activeCamera.getY((float) partialTick);
         double zOff = mc.activeCamera.getZ((float) partialTick);
         int lists = 0;
-        for (DisplayList displayList : renderLists)
-        {
+        for (DisplayList displayList : renderLists) {
             displayList.clear();
         }
 
-        for (ChunkRenderer renderer : renderChunks)
-        {
+        for (ChunkRenderer renderer : renderChunks) {
             int list = -1;
-            for (int i = 0; i < lists; i++)
-            {
-                if (renderLists[i].isSetToPos(renderer.xRender, renderer.yRender, renderer.zRender))
-                {
+            for (int i = 0; i < lists; i++) {
+                if (renderLists[i].isSetToPos(renderer.xRender, renderer.yRender, renderer.zRender)) {
                     list = i;
                 }
             }
 
-            if (list < 0)
-            {
+            if (list < 0) {
                 list = lists++;
                 renderLists[list].setToPos(renderer.xRender, renderer.yRender, renderer.zRender, xOff, yOff, zOff);
             }
             renderLists[list].addCallToList(renderer.getList(renderPass));
         }
 
-        if (!mc.gameSettings.fog.value)
-        {
+        if (!mc.gameSettings.fog.value) {
             GL11.glDisable(GL11.GL_FOG);
         }
         renderSameAsLast(renderPass, partialTick);
-        if (!mc.gameSettings.fog.value)
-        {
+        if (!mc.gameSettings.fog.value) {
             GL11.glEnable(GL11.GL_FOG);
         }
         return count;
     }
 
-    public void renderSameAsLast(int renderPass, double partialTick)
-    {
-        for (DisplayList displayList : renderLists)
-        {
+    public void renderSameAsLast(int renderPass, double partialTick) {
+        for (DisplayList displayList : renderLists) {
             displayList.call();
         }
 
     }
 
-    public void tick()
-    {
+    public void tick() {
         float windDirection = world.worldType.getWindManager().getWindDirection(world, 0.0f, 500f, 0.0f);
         float windIntensity = world.worldType.getWindManager().getWindIntensity(world, 0.0f, 500f, 0.0f);
 
@@ -868,7 +784,7 @@ public class RenderGlobal
 
         cloudVelocityX += dx;
         cloudVelocityZ += dz;
-        
+
         float maxVel = 1.5f;
         if (cloudVelocityX > maxVel) cloudVelocityX = maxVel;
         if (cloudVelocityX < -maxVel) cloudVelocityX = -maxVel;
@@ -883,19 +799,17 @@ public class RenderGlobal
         ticks++;
     }
 
-    public void renderSky(float partialTick)
-    {
+    public void renderSky(float partialTick) {
         WorldTypeFX worldTypeFX = WorldTypeFXDispatcher.getInstance().getDispatch(mc.currentWorld.getWorldType());
-        if(!worldTypeFX.hasSky() || mc.currentScreen instanceof ScreenModelViewer)
-        {
+        if (!worldTypeFX.hasSky() || mc.currentScreen instanceof ScreenModelViewer) {
             return;
         }
         float celestialAngle = world.getCelestialAngle(partialTick);
         GL11.glDisable(GL_TEXTURE_2D);
         Vec3 skyColor = world.getSkyColor(mc.activeCamera, partialTick);
-        float r = (float)skyColor.x;
-        float g = (float)skyColor.y;
-        float b = (float)skyColor.z;
+        float r = (float) skyColor.x;
+        float g = (float) skyColor.y;
+        float b = (float) skyColor.z;
         GL11.glColor3f(r, g, b);
         Tessellator t = Tessellator.instance;
         GL11.glDepthMask(false);
@@ -908,8 +822,7 @@ public class RenderGlobal
         GL11.glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
         Lighting.disable();
         float[] sunriseColor = worldTypeFX.getSunriseColor(celestialAngle, partialTick);
-        if(sunriseColor != null)
-        {
+        if (sunriseColor != null) {
             GL11.glDisable(GL_TEXTURE_2D);
             GL11.glShadeModel(GL_SMOOTH);
             GL11.glPushMatrix();
@@ -924,9 +837,8 @@ public class RenderGlobal
             t.addVertex(0.0D, 100D, 0.0D);
             int numVertices = 16;
             t.setColorRGBA_F(sunriseColor[0], sunriseColor[1], sunriseColor[2], 0.0F);
-            for(int i = 0; i <= numVertices; i++)
-            {
-                float theta = ((float)i * MathHelper.PI * 2.0F) / (float)numVertices;
+            for (int i = 0; i <= numVertices; i++) {
+                float theta = ((float) i * MathHelper.PI * 2.0F) / (float) numVertices;
                 float sunriseX = MathHelper.sin(theta);
                 float sunriseYZ = MathHelper.cos(theta);
                 t.addVertex(sunriseX * 120F, sunriseYZ * 120F, -sunriseYZ * 40F * sunriseColor[3]);
@@ -961,15 +873,15 @@ public class RenderGlobal
         t.draw();
 
         // Render Rainbow
-        if (world.rainbowTicks > 0 || (!Double.isNaN(rainbowBrightness) && rainbowBrightness > 0)){
+        if (world.rainbowTicks > 0 || (!Double.isNaN(rainbowBrightness) && rainbowBrightness > 0)) {
             // Calculates the progress through the rainbow, with peak brightness halfway through its lifespawn
-            final float halfRainbowLength = (world.startingRainbowTicks/2f);
+            final float halfRainbowLength = (world.startingRainbowTicks / 2f);
             float rainbowTimeScalar = 1 - (Math.abs((world.rainbowTicks + partialTick) - halfRainbowLength) / halfRainbowLength);
 
             // Calculates the potential max rainbow brightness based on time of day
             float timeScalar;
             float angDeg = celestialAngle * 360;
-            if (angDeg >= 0 && angDeg < 180){
+            if (angDeg >= 0 && angDeg < 180) {
                 double angDiff = MathHelper.deltaAngle(angDeg, 80.0);
                 timeScalar = 1 - (float) (Math.sqrt(angDiff * angDiff) / 90f);
             } else {
@@ -979,21 +891,21 @@ public class RenderGlobal
 
             // Cutoff zeros out part of the range and then rescales it
             final float cutoff = 2.25f;
-            timeScalar -= 1 - (1/cutoff);
+            timeScalar -= 1 - (1 / cutoff);
             if (timeScalar < 0) timeScalar = 0;
             timeScalar *= cutoff;
             timeScalar *= rainbowTimeScalar;
 
             Weather[] blocked = world.getBlockBiome(MathHelper.floor(mc.thePlayer.x), MathHelper.floor(mc.thePlayer.y), MathHelper.floor(mc.thePlayer.z)).blockedWeathers;
             boolean isWeatherBlocked = false;
-            for (Weather w : blocked){
+            for (Weather w : blocked) {
                 if (w.equals(world.weatherManager.getLastWeather())) {
                     isWeatherBlocked = true;
                     break;
                 }
             }
 
-            if (isWeatherBlocked){
+            if (isWeatherBlocked) {
                 targetRainbowBrightness = 0;
             } else {
                 targetRainbowBrightness = timeScalar;
@@ -1013,11 +925,11 @@ public class RenderGlobal
             final int iterations = 10;
             for (int i = 0; i < iterations; i++) {
                 size = 200F - i * 4;
-                int color = java.awt.Color.HSBtoRGB(i/(float)iterations, 1, (float) (0.3f * rainbowBrightness));
-                float colR = ((color >> 16) & 0xFF)/255f;
-                float colG = ((color >>  8) & 0xFF)/255f;
-                float colB = ((color >>  0) & 0xFF)/255f;
-                float rainbowAlpha = (float) ((0.35f - (0.15f * Math.abs(i - iterations/2)/(iterations/2f))) * rainbowBrightness);
+                int color = java.awt.Color.HSBtoRGB(i / (float) iterations, 1, (float) (0.3f * rainbowBrightness));
+                float colR = ((color >> 16) & 0xFF) / 255f;
+                float colG = ((color >> 8) & 0xFF) / 255f;
+                float colB = ((color >> 0) & 0xFF) / 255f;
+                float rainbowAlpha = (float) ((0.35f - (0.15f * Math.abs(i - iterations / 2) / (iterations / 2f))) * rainbowBrightness);
                 t.setColorRGBA_F(colR, colG, colB, rainbowAlpha);
                 t.addVertexWithUV(-size, -100D, size, 1.0D, 1.0D);
                 t.addVertexWithUV(size, -100D, size, 0.0D, 1.0D);
@@ -1043,8 +955,7 @@ public class RenderGlobal
         t.draw();
 
         float f17 = world.getStarBrightness(partialTick) * sunAlpha;
-        if(f17 > 0.0F)
-        {
+        if (f17 > 0.0F) {
             textureManager.loadTexture("/assets/minecraft/textures/colormap/stars/default.png").bind();
             GL11.glColor4f(f17, f17, f17, f17);
             GL11.glCallList(starList);
@@ -1055,11 +966,9 @@ public class RenderGlobal
         GL11.glEnable(GL11.GL_ALPHA_TEST);
         GL11.glEnable(GL11.GL_FOG);
         GL11.glPopMatrix();
-        if(worldTypeFX.hasGround())
-        {
+        if (worldTypeFX.hasGround()) {
             GL11.glColor3f(r * 0.2F + 0.04F, g * 0.2F + 0.04F, b * 0.6F + 0.1F);
-        } else
-        {
+        } else {
             GL11.glColor3f(r, g, b);
         }
         GL11.glEnable(GL11.GL_TEXTURE_2D);
@@ -1070,19 +979,15 @@ public class RenderGlobal
         return mc.gameSettings.cloudHeight.value * 128;
     }
 
-    public void renderClouds(float partialTick)
-    {
+    public void renderClouds(float partialTick) {
         WorldTypeFX worldTypeFX = WorldTypeFXDispatcher.getInstance().getDispatch(mc.currentWorld.getWorldType());
-        if(!worldTypeFX.hasClouds())
-        {
+        if (!worldTypeFX.hasClouds()) {
             return;
         }
-        if (mc.currentScreen instanceof ScreenPhotoMode)
-        {
+        if (mc.currentScreen instanceof ScreenPhotoMode) {
             return;
         }
-        if(mc.gameSettings.fancyGraphics.value == 1)
-        {
+        if (mc.gameSettings.fancyGraphics.value == 1) {
             renderCloudsFancy(partialTick);
             return;
         }
@@ -1095,29 +1000,27 @@ public class RenderGlobal
         GL11.glEnable(GL11.GL_BLEND);
         GL11.glBlendFunc(GL11.GL_SRC_ALPHA, GL11.GL_ONE_MINUS_SRC_ALPHA);
         Vec3 dimensionColor = world.getDimensionColor(mc.activeCamera, partialTick);
-        float r = (float)dimensionColor.x;
-        float g = (float)dimensionColor.y;
-        float b = (float)dimensionColor.z;
+        float r = (float) dimensionColor.x;
+        float g = (float) dimensionColor.y;
+        float b = (float) dimensionColor.z;
         float f6 = 1f / 2048f;
-        double posX = mc.activeCamera.getX(partialTick) + (double)((lastCloudOffsetX + (cloudOffsetX - lastCloudOffsetX) * partialTick) * 0.03F);
-        double posZ = mc.activeCamera.getZ(partialTick) + (double)((lastCloudOffsetZ + (cloudOffsetZ - lastCloudOffsetZ) * partialTick) * 0.03F);
+        double posX = mc.activeCamera.getX(partialTick) + (double) ((lastCloudOffsetX + (cloudOffsetX - lastCloudOffsetX) * partialTick) * 0.03F);
+        double posZ = mc.activeCamera.getZ(partialTick) + (double) ((lastCloudOffsetZ + (cloudOffsetZ - lastCloudOffsetZ) * partialTick) * 0.03F);
         int j = MathHelper.floor(posX / 2048D);
         int k = MathHelper.floor(posZ / 2048D);
         posX -= j * 2048;
         posZ -= k * 2048;
         float cloudHeight = (worldTypeFX.getCloudHeight() - cameraY) + 0.33F + getCloudHeightModifier();
-        float f10 = (float)(posX * (double)f6);
-        float f11 = (float)(posZ * (double)f6);
+        float f10 = (float) (posX * (double) f6);
+        float f11 = (float) (posZ * (double) f6);
         tessellator.startDrawingQuads();
         tessellator.setColorRGBA_F(r, g, b, 0.8F);
-        for(int cloudX = -cloudRadius * i; cloudX < cloudRadius * i; cloudX += cloudRadius)
-        {
-            for(int cloudZ = -cloudRadius * i; cloudZ < cloudRadius * i; cloudZ += cloudRadius)
-            {
-                tessellator.addVertexWithUV(cloudX,           cloudHeight, cloudZ + cloudRadius, (float)(cloudX)           * f6 + f10, (float)(cloudZ + cloudRadius) * f6 + f11);
-                tessellator.addVertexWithUV(cloudX + cloudRadius, cloudHeight, cloudZ + cloudRadius, (float)(cloudX + cloudRadius) * f6 + f10, (float)(cloudZ + cloudRadius) * f6 + f11);
-                tessellator.addVertexWithUV(cloudX + cloudRadius, cloudHeight, cloudZ,           (float)(cloudX + cloudRadius) * f6 + f10, (float)(cloudZ)           * f6 + f11);
-                tessellator.addVertexWithUV(cloudX,           cloudHeight, cloudZ,           (float)(cloudX)           * f6 + f10, (float)(cloudZ)           * f6 + f11);
+        for (int cloudX = -cloudRadius * i; cloudX < cloudRadius * i; cloudX += cloudRadius) {
+            for (int cloudZ = -cloudRadius * i; cloudZ < cloudRadius * i; cloudZ += cloudRadius) {
+                tessellator.addVertexWithUV(cloudX, cloudHeight, cloudZ + cloudRadius, (float) (cloudX) * f6 + f10, (float) (cloudZ + cloudRadius) * f6 + f11);
+                tessellator.addVertexWithUV(cloudX + cloudRadius, cloudHeight, cloudZ + cloudRadius, (float) (cloudX + cloudRadius) * f6 + f10, (float) (cloudZ + cloudRadius) * f6 + f11);
+                tessellator.addVertexWithUV(cloudX + cloudRadius, cloudHeight, cloudZ, (float) (cloudX + cloudRadius) * f6 + f10, (float) (cloudZ) * f6 + f11);
+                tessellator.addVertexWithUV(cloudX, cloudHeight, cloudZ, (float) (cloudX) * f6 + f10, (float) (cloudZ) * f6 + f11);
             }
 
         }
@@ -1128,11 +1031,10 @@ public class RenderGlobal
         GL11.glEnable(GL11.GL_CULL_FACE);
     }
 
-    public void renderCloudsFancy(float partialTick)
-    {
+    public void renderCloudsFancy(float partialTick) {
         WorldTypeFX worldTypeFX = WorldTypeFXDispatcher.getInstance().getDispatch(mc.currentWorld.getWorldType());
-    	mc.renderer.beginRenderClouds(partialTick);
-    	
+        mc.renderer.beginRenderClouds(partialTick);
+
         float celestialAngle = world.getCelestialAngle(partialTick);
         float[] sunriseColor = worldTypeFX.getSunriseColor(celestialAngle, partialTick);
         float rSun = 0.0f, gSun = 0.0f, bSun = 0.0f, aSun = 0.0f;
@@ -1144,17 +1046,17 @@ public class RenderGlobal
         }
 
         Vec3 dimensionColor = world.getDimensionColor(mc.activeCamera, partialTick);
-        final float rDim = (float)dimensionColor.x;
-        final float gDim = (float)dimensionColor.y;
-        final float bDim = (float)dimensionColor.z;
+        final float rDim = (float) dimensionColor.x;
+        final float gDim = (float) dimensionColor.y;
+        final float bDim = (float) dimensionColor.z;
 
         GL11.glDisable(GL11.GL_CULL_FACE);
         float cameraY = (float) mc.activeCamera.getY(partialTick);
         Tessellator tessellator = Tessellator.instance;
         float cloudWidth = 12F;
         float cloudThickness = 4F;
-        double dx = (mc.activeCamera.getX(partialTick) + (double)((lastCloudOffsetX + (cloudOffsetX - lastCloudOffsetX) * partialTick) * 0.03F)) / (double)cloudWidth;
-        double dz = (mc.activeCamera.getZ(partialTick) + (double)((lastCloudOffsetZ + (cloudOffsetZ - lastCloudOffsetZ) * partialTick) * 0.03F)) / (double)cloudWidth + 0.33D;
+        double dx = (mc.activeCamera.getX(partialTick) + (double) ((lastCloudOffsetX + (cloudOffsetX - lastCloudOffsetX) * partialTick) * 0.03F)) / (double) cloudWidth;
+        double dz = (mc.activeCamera.getZ(partialTick) + (double) ((lastCloudOffsetZ + (cloudOffsetZ - lastCloudOffsetZ) * partialTick) * 0.03F)) / (double) cloudWidth + 0.33D;
         float dy = (worldTypeFX.getCloudHeight() - cameraY) + 0.33F + getCloudHeightModifier();
         int i = MathHelper.floor(dx / 2048D);
         int j = MathHelper.floor(dz / 2048D);
@@ -1166,102 +1068,86 @@ public class RenderGlobal
         float f13 = 1F / 256F;
         float f9 = (float) MathHelper.floor(dx) * f13;
         float f11 = (float) MathHelper.floor(dz) * f13;
-        float f14 = (float)(dx - (double) MathHelper.floor(dx));
-        float f15 = (float)(dz - (double) MathHelper.floor(dz));
+        float f14 = (float) (dx - (double) MathHelper.floor(dx));
+        float f15 = (float) (dz - (double) MathHelper.floor(dz));
         int cloudWidthScale = 8;
         byte radius = 3;
         float f16 = 1F / 1024F;
         GL11.glScalef(cloudWidth, 1.0F, cloudWidth);
-        
+
         float red = rDim + (rSun - rDim) * aSun;
         float green = gDim + (gSun - gDim) * aSun;
         float blue = bDim + (bSun - bDim) * aSun;
-        
-        for(int l = 0; l < 2; l++)
-        {
-            if(l == 0)
-            {
+
+        for (int l = 0; l < 2; l++) {
+            if (l == 0) {
                 GL11.glColorMask(false, false, false, true);
-            } 
-            else
-            {
+            } else {
                 GL11.glColorMask(true, true, true, true);
             }
             tessellator.startDrawingQuads();
-            for(int ix = -radius - 1; ix <= radius; ix++)
-            {
-                for(int iz = -radius - 1; iz <= radius; iz++)
-                {
+            for (int ix = -radius - 1; ix <= radius; ix++) {
+                for (int iz = -radius - 1; iz <= radius; iz++) {
 
                     float f17 = ix * cloudWidthScale;
                     float f18 = iz * cloudWidthScale;
                     float cloudX = f17 - f14;
                     float cloudZ = f18 - f15;
-                    if(dy > -cloudThickness - 1.0F)
-                    {
+                    if (dy > -cloudThickness - 1.0F) {
                         tessellator.setColorRGBA_F(red * 0.7F, green * 0.7F, blue * 0.7F, 0.8F);
                         tessellator.setNormal(0.0F, -1F, 0.0F);
-                        tessellator.addVertexWithUV(cloudX + 0.0F, dy + 0.0F, cloudZ + (float)cloudWidthScale, (f17 + 0.0F) * f13 + f9, (f18 + (float)cloudWidthScale) * f13 + f11);
-                        tessellator.addVertexWithUV(cloudX + (float)cloudWidthScale, dy + 0.0F, cloudZ + (float)cloudWidthScale, (f17 + (float)cloudWidthScale) * f13 + f9, (f18 + (float)cloudWidthScale) * f13 + f11);
-                        tessellator.addVertexWithUV(cloudX + (float)cloudWidthScale, dy + 0.0F, cloudZ + 0.0F, (f17 + (float)cloudWidthScale) * f13 + f9, (f18 + 0.0F) * f13 + f11);
+                        tessellator.addVertexWithUV(cloudX + 0.0F, dy + 0.0F, cloudZ + (float) cloudWidthScale, (f17 + 0.0F) * f13 + f9, (f18 + (float) cloudWidthScale) * f13 + f11);
+                        tessellator.addVertexWithUV(cloudX + (float) cloudWidthScale, dy + 0.0F, cloudZ + (float) cloudWidthScale, (f17 + (float) cloudWidthScale) * f13 + f9, (f18 + (float) cloudWidthScale) * f13 + f11);
+                        tessellator.addVertexWithUV(cloudX + (float) cloudWidthScale, dy + 0.0F, cloudZ + 0.0F, (f17 + (float) cloudWidthScale) * f13 + f9, (f18 + 0.0F) * f13 + f11);
                         tessellator.addVertexWithUV(cloudX + 0.0F, dy + 0.0F, cloudZ + 0.0F, (f17 + 0.0F) * f13 + f9, (f18 + 0.0F) * f13 + f11);
                     }
-                    if(dy <= cloudThickness + 1.0F)
-                    {
+                    if (dy <= cloudThickness + 1.0F) {
                         tessellator.setColorRGBA_F(red, green, blue, 0.8F);
                         tessellator.setNormal(0.0F, 1.0F, 0.0F);
-                        tessellator.addVertexWithUV(cloudX + 0.0F, (dy + cloudThickness) - f16, cloudZ + (float)cloudWidthScale, (f17 + 0.0F) * f13 + f9, (f18 + (float)cloudWidthScale) * f13 + f11);
-                        tessellator.addVertexWithUV(cloudX + (float)cloudWidthScale, (dy + cloudThickness) - f16, cloudZ + (float)cloudWidthScale, (f17 + (float)cloudWidthScale) * f13 + f9, (f18 + (float)cloudWidthScale) * f13 + f11);
-                        tessellator.addVertexWithUV(cloudX + (float)cloudWidthScale, (dy + cloudThickness) - f16, cloudZ + 0.0F, (f17 + (float)cloudWidthScale) * f13 + f9, (f18 + 0.0F) * f13 + f11);
+                        tessellator.addVertexWithUV(cloudX + 0.0F, (dy + cloudThickness) - f16, cloudZ + (float) cloudWidthScale, (f17 + 0.0F) * f13 + f9, (f18 + (float) cloudWidthScale) * f13 + f11);
+                        tessellator.addVertexWithUV(cloudX + (float) cloudWidthScale, (dy + cloudThickness) - f16, cloudZ + (float) cloudWidthScale, (f17 + (float) cloudWidthScale) * f13 + f9, (f18 + (float) cloudWidthScale) * f13 + f11);
+                        tessellator.addVertexWithUV(cloudX + (float) cloudWidthScale, (dy + cloudThickness) - f16, cloudZ + 0.0F, (f17 + (float) cloudWidthScale) * f13 + f9, (f18 + 0.0F) * f13 + f11);
                         tessellator.addVertexWithUV(cloudX + 0.0F, (dy + cloudThickness) - f16, cloudZ + 0.0F, (f17 + 0.0F) * f13 + f9, (f18 + 0.0F) * f13 + f11);
                     }
                     tessellator.setColorRGBA_F(red * 0.9F, green * 0.9F, blue * 0.9F, 0.8F);
-                    if(ix > -1)
-                    {
+                    if (ix > -1) {
                         tessellator.setNormal(-1F, 0.0F, 0.0F);
-                        for(int k1 = 0; k1 < cloudWidthScale; k1++)
-                        {
-                            tessellator.addVertexWithUV(cloudX + (float)k1 + 0.0F, dy + 0.0F, cloudZ + (float)cloudWidthScale, (f17 + (float)k1 + 0.5F) * f13 + f9, (f18 + (float)cloudWidthScale) * f13 + f11);
-                            tessellator.addVertexWithUV(cloudX + (float)k1 + 0.0F, dy + cloudThickness, cloudZ + (float)cloudWidthScale, (f17 + (float)k1 + 0.5F) * f13 + f9, (f18 + (float)cloudWidthScale) * f13 + f11);
-                            tessellator.addVertexWithUV(cloudX + (float)k1 + 0.0F, dy + cloudThickness, cloudZ + 0.0F, (f17 + (float)k1 + 0.5F) * f13 + f9, (f18 + 0.0F) * f13 + f11);
-                            tessellator.addVertexWithUV(cloudX + (float)k1 + 0.0F, dy + 0.0F, cloudZ + 0.0F, (f17 + (float)k1 + 0.5F) * f13 + f9, (f18 + 0.0F) * f13 + f11);
+                        for (int k1 = 0; k1 < cloudWidthScale; k1++) {
+                            tessellator.addVertexWithUV(cloudX + (float) k1 + 0.0F, dy + 0.0F, cloudZ + (float) cloudWidthScale, (f17 + (float) k1 + 0.5F) * f13 + f9, (f18 + (float) cloudWidthScale) * f13 + f11);
+                            tessellator.addVertexWithUV(cloudX + (float) k1 + 0.0F, dy + cloudThickness, cloudZ + (float) cloudWidthScale, (f17 + (float) k1 + 0.5F) * f13 + f9, (f18 + (float) cloudWidthScale) * f13 + f11);
+                            tessellator.addVertexWithUV(cloudX + (float) k1 + 0.0F, dy + cloudThickness, cloudZ + 0.0F, (f17 + (float) k1 + 0.5F) * f13 + f9, (f18 + 0.0F) * f13 + f11);
+                            tessellator.addVertexWithUV(cloudX + (float) k1 + 0.0F, dy + 0.0F, cloudZ + 0.0F, (f17 + (float) k1 + 0.5F) * f13 + f9, (f18 + 0.0F) * f13 + f11);
                         }
 
                     }
-                    if(ix <= 1)
-                    {
+                    if (ix <= 1) {
                         tessellator.setNormal(1.0F, 0.0F, 0.0F);
-                        for(int l1 = 0; l1 < cloudWidthScale; l1++)
-                        {
-                            tessellator.addVertexWithUV((cloudX + (float)l1 + 1.0F) - f16, dy + 0.0F, cloudZ + (float)cloudWidthScale, (f17 + (float)l1 + 0.5F) * f13 + f9, (f18 + (float)cloudWidthScale) * f13 + f11);
-                            tessellator.addVertexWithUV((cloudX + (float)l1 + 1.0F) - f16, dy + cloudThickness, cloudZ + (float)cloudWidthScale, (f17 + (float)l1 + 0.5F) * f13 + f9, (f18 + (float)cloudWidthScale) * f13 + f11);
-                            tessellator.addVertexWithUV((cloudX + (float)l1 + 1.0F) - f16, dy + cloudThickness, cloudZ + 0.0F, (f17 + (float)l1 + 0.5F) * f13 + f9, (f18 + 0.0F) * f13 + f11);
-                            tessellator.addVertexWithUV((cloudX + (float)l1 + 1.0F) - f16, dy + 0.0F, cloudZ + 0.0F, (f17 + (float)l1 + 0.5F) * f13 + f9, (f18 + 0.0F) * f13 + f11);
+                        for (int l1 = 0; l1 < cloudWidthScale; l1++) {
+                            tessellator.addVertexWithUV((cloudX + (float) l1 + 1.0F) - f16, dy + 0.0F, cloudZ + (float) cloudWidthScale, (f17 + (float) l1 + 0.5F) * f13 + f9, (f18 + (float) cloudWidthScale) * f13 + f11);
+                            tessellator.addVertexWithUV((cloudX + (float) l1 + 1.0F) - f16, dy + cloudThickness, cloudZ + (float) cloudWidthScale, (f17 + (float) l1 + 0.5F) * f13 + f9, (f18 + (float) cloudWidthScale) * f13 + f11);
+                            tessellator.addVertexWithUV((cloudX + (float) l1 + 1.0F) - f16, dy + cloudThickness, cloudZ + 0.0F, (f17 + (float) l1 + 0.5F) * f13 + f9, (f18 + 0.0F) * f13 + f11);
+                            tessellator.addVertexWithUV((cloudX + (float) l1 + 1.0F) - f16, dy + 0.0F, cloudZ + 0.0F, (f17 + (float) l1 + 0.5F) * f13 + f9, (f18 + 0.0F) * f13 + f11);
                         }
 
                     }
                     tessellator.setColorRGBA_F(red * 0.8F, green * 0.8F, blue * 0.8F, 0.8F);
-                    if(iz > -1)
-                    {
+                    if (iz > -1) {
                         tessellator.setNormal(0.0F, 0.0F, -1F);
-                        for(int i2 = 0; i2 < cloudWidthScale; i2++)
-                        {
-                            tessellator.addVertexWithUV(cloudX + 0.0F, dy + cloudThickness, cloudZ + (float)i2 + 0.0F, (f17 + 0.0F) * f13 + f9, (f18 + (float)i2 + 0.5F) * f13 + f11);
-                            tessellator.addVertexWithUV(cloudX + (float)cloudWidthScale, dy + cloudThickness, cloudZ + (float)i2 + 0.0F, (f17 + (float)cloudWidthScale) * f13 + f9, (f18 + (float)i2 + 0.5F) * f13 + f11);
-                            tessellator.addVertexWithUV(cloudX + (float)cloudWidthScale, dy + 0.0F, cloudZ + (float)i2 + 0.0F, (f17 + (float)cloudWidthScale) * f13 + f9, (f18 + (float)i2 + 0.5F) * f13 + f11);
-                            tessellator.addVertexWithUV(cloudX + 0.0F, dy + 0.0F, cloudZ + (float)i2 + 0.0F, (f17 + 0.0F) * f13 + f9, (f18 + (float)i2 + 0.5F) * f13 + f11);
+                        for (int i2 = 0; i2 < cloudWidthScale; i2++) {
+                            tessellator.addVertexWithUV(cloudX + 0.0F, dy + cloudThickness, cloudZ + (float) i2 + 0.0F, (f17 + 0.0F) * f13 + f9, (f18 + (float) i2 + 0.5F) * f13 + f11);
+                            tessellator.addVertexWithUV(cloudX + (float) cloudWidthScale, dy + cloudThickness, cloudZ + (float) i2 + 0.0F, (f17 + (float) cloudWidthScale) * f13 + f9, (f18 + (float) i2 + 0.5F) * f13 + f11);
+                            tessellator.addVertexWithUV(cloudX + (float) cloudWidthScale, dy + 0.0F, cloudZ + (float) i2 + 0.0F, (f17 + (float) cloudWidthScale) * f13 + f9, (f18 + (float) i2 + 0.5F) * f13 + f11);
+                            tessellator.addVertexWithUV(cloudX + 0.0F, dy + 0.0F, cloudZ + (float) i2 + 0.0F, (f17 + 0.0F) * f13 + f9, (f18 + (float) i2 + 0.5F) * f13 + f11);
                         }
 
                     }
-                    if(iz <= 1)
-                    {
+                    if (iz <= 1) {
                         tessellator.setNormal(0.0F, 0.0F, 1.0F);
-                        for(int j2 = 0; j2 < cloudWidthScale; j2++)
-                        {
-                            tessellator.addVertexWithUV(cloudX + 0.0F, dy + cloudThickness, (cloudZ + (float)j2 + 1.0F) - f16, (f17 + 0.0F) * f13 + f9, (f18 + (float)j2 + 0.5F) * f13 + f11);
-                            tessellator.addVertexWithUV(cloudX + (float)cloudWidthScale, dy + cloudThickness, (cloudZ + (float)j2 + 1.0F) - f16, (f17 + (float)cloudWidthScale) * f13 + f9, (f18 + (float)j2 + 0.5F) * f13 + f11);
-                            tessellator.addVertexWithUV(cloudX + (float)cloudWidthScale, dy + 0.0F, (cloudZ + (float)j2 + 1.0F) - f16, (f17 + (float)cloudWidthScale) * f13 + f9, (f18 + (float)j2 + 0.5F) * f13 + f11);
-                            tessellator.addVertexWithUV(cloudX + 0.0F, dy + 0.0F, (cloudZ + (float)j2 + 1.0F) - f16, (f17 + 0.0F) * f13 + f9, (f18 + (float)j2 + 0.5F) * f13 + f11);
+                        for (int j2 = 0; j2 < cloudWidthScale; j2++) {
+                            tessellator.addVertexWithUV(cloudX + 0.0F, dy + cloudThickness, (cloudZ + (float) j2 + 1.0F) - f16, (f17 + 0.0F) * f13 + f9, (f18 + (float) j2 + 0.5F) * f13 + f11);
+                            tessellator.addVertexWithUV(cloudX + (float) cloudWidthScale, dy + cloudThickness, (cloudZ + (float) j2 + 1.0F) - f16, (f17 + (float) cloudWidthScale) * f13 + f9, (f18 + (float) j2 + 0.5F) * f13 + f11);
+                            tessellator.addVertexWithUV(cloudX + (float) cloudWidthScale, dy + 0.0F, (cloudZ + (float) j2 + 1.0F) - f16, (f17 + (float) cloudWidthScale) * f13 + f9, (f18 + (float) j2 + 0.5F) * f13 + f11);
+                            tessellator.addVertexWithUV(cloudX + 0.0F, dy + 0.0F, (cloudZ + (float) j2 + 1.0F) - f16, (f17 + 0.0F) * f13 + f9, (f18 + (float) j2 + 0.5F) * f13 + f11);
                         }
 
                     }
